<?php
/**
 * Aliases for special pages
 *
 * @file
 * @ingroup Extensions
 */

$specialPageAliases = [];

/** English (English) */
$specialPageAliases['en'] = [
	'Hieroglyphs' => [ 'Hieroglyphs' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'Hieroglyphs' => [ 'هيروغليفي' ],
];

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = [
	'Hieroglyphs' => [ 'هيروغليفى' ],
];

/** Asturian (asturianu) */
$specialPageAliases['ast'] = [
	'Hieroglyphs' => [ 'Xeroglíficos' ],
];

/** Avaric (авар) */
$specialPageAliases['av'] = [
	'Hieroglyphs' => [ 'Иероглифы' ],
];

/** Bulgarian (български) */
$specialPageAliases['bg'] = [
	'Hieroglyphs' => [ 'Йероглифи' ],
];

/** Western Balochi (بلوچی رخشانی) */
$specialPageAliases['bgn'] = [
	'Hieroglyphs' => [ 'هیروگیپ_ئان' ],
];

/** буряад (буряад) */
$specialPageAliases['bxr'] = [
	'Hieroglyphs' => [ 'Дүрсэ_үзэг' ],
];

/** Catalan (català) */
$specialPageAliases['ca'] = [
	'Hieroglyphs' => [ 'Jeroglífics' ],
];

/** Chechen (нохчийн) */
$specialPageAliases['ce'] = [
	'Hieroglyphs' => [ 'Иероглифаш' ],
];

/** Czech (čeština) */
$specialPageAliases['cs'] = [
	'Hieroglyphs' => [ 'Hieroglyfy' ],
];

/** Church Slavic (словѣньскъ / ⰔⰎⰑⰂⰡⰐⰠⰔⰍⰟ) */
$specialPageAliases['cu'] = [
	'Hieroglyphs' => [ 'Їєроглѷфꙑ' ],
];

/** Danish (dansk) */
$specialPageAliases['da'] = [
	'Hieroglyphs' => [ 'Hieroglyffer' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'Hieroglyphs' => [ 'Hieroglyphen' ],
];

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = [
	'Hieroglyphs' => [ 'Hiyeroglifi' ],
];

/** Esperanto (Esperanto) */
$specialPageAliases['eo'] = [
	'Hieroglyphs' => [ 'Hieroglifoj' ],
];

/** Spanish (español) */
$specialPageAliases['es'] = [
	'Hieroglyphs' => [ 'Jeroglíficos' ],
];

/** Estonian (eesti) */
$specialPageAliases['et'] = [
	'Hieroglyphs' => [ 'Hieroglüüfid' ],
];

/** Persian (فارسی) */
$specialPageAliases['fa'] = [
	'Hieroglyphs' => [ 'هیروگلیف‌ها' ],
];

/** Finnish (suomi) */
$specialPageAliases['fi'] = [
	'Hieroglyphs' => [ 'Hieroglyfit' ],
];

/** Galician (galego) */
$specialPageAliases['gl'] = [
	'Hieroglyphs' => [ 'Xeróglifos' ],
];

/** Swiss German (Alemannisch) */
$specialPageAliases['gsw'] = [
	'Hieroglyphs' => [ 'Hieroglyphe' ],
];

/** Hebrew (עברית) */
$specialPageAliases['he'] = [
	'Hieroglyphs' => [ 'סימון_היירוגליפים' ],
];

/** Upper Sorbian (hornjoserbsce) */
$specialPageAliases['hsb'] = [
	'Hieroglyphs' => [ 'Hieroglyfy' ],
];

/** Interlingua (interlingua) */
$specialPageAliases['ia'] = [
	'Hieroglyphs' => [ 'Hieroglyphos' ],
];

/** Italian (italiano) */
$specialPageAliases['it'] = [
	'Hieroglyphs' => [ 'Geroglifici' ],
];

/** Japanese (日本語) */
$specialPageAliases['ja'] = [
	'Hieroglyphs' => [ 'ヒエログリフ' ],
];

/** Georgian (ქართული) */
$specialPageAliases['ka'] = [
	'Hieroglyphs' => [ 'იეროგლიფები' ],
];

/** Korean (한국어) */
$specialPageAliases['ko'] = [
	'Hieroglyphs' => [ '상형문자', '히에로글리프' ],
];

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = [
	'Hieroglyphs' => [ 'Hieroglyphen' ],
];

/** Northern Luri (لۊری شومالی) */
$specialPageAliases['lrc'] = [
	'Hieroglyphs' => [ 'ھیروگئلیف' ],
];

/** Minangkabau (Baso Minangkabau) */
$specialPageAliases['min'] = [
	'Hieroglyphs' => [ 'Heroglip' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'Hieroglyphs' => [ 'Хиероглифи' ],
];

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = [
	'Hieroglyphs' => [ 'ഹൈറോഗ്ലിഫ്സ്' ],
];

/** Norwegian Bokmål (norsk bokmål) */
$specialPageAliases['nb'] = [
	'Hieroglyphs' => [ 'Hieroglyfer' ],
];

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = [
	'Hieroglyphs' => [ 'Hierogliefen' ],
];

/** Norwegian Nynorsk (norsk nynorsk) */
$specialPageAliases['nn'] = [
	'Hieroglyphs' => [ 'Hieroglyfar' ],
];

/** Polish (polski) */
$specialPageAliases['pl'] = [
	'Hieroglyphs' => [ 'Hieroglify', 'Hiertoglify' ],
];

/** Russian (русский) */
$specialPageAliases['ru'] = [
	'Hieroglyphs' => [ 'Иероглифы' ],
];

/** Sicilian (sicilianu) */
$specialPageAliases['scn'] = [
	'Hieroglyphs' => [ 'Geroglifici' ],
];

/** Northern Sami (sámegiella) */
$specialPageAliases['se'] = [
	'Hieroglyphs' => [ 'Hieroglyfat' ],
];

/** Serbian Cyrillic (српски (ћирилица)) */
$specialPageAliases['sr-ec'] = [
	'Hieroglyphs' => [ 'Хијероглифи' ],
];

/** Serbian Latin (srpski (latinica)) */
$specialPageAliases['sr-el'] = [
	'Hieroglyphs' => [ 'Hijeroglifi' ],
];

/** Swedish (svenska) */
$specialPageAliases['sv'] = [
	'Hieroglyphs' => [ 'Hieroglyfer' ],
];

/** Turkish (Türkçe) */
$specialPageAliases['tr'] = [
	'Hieroglyphs' => [ 'Hiyeroglifler' ],
];

/** Tuvinian (тыва дыл) */
$specialPageAliases['tyv'] = [
	'Hieroglyphs' => [ 'Иероглифтер' ],
];

/** Ukrainian (українська) */
$specialPageAliases['uk'] = [
	'Hieroglyphs' => [ 'Ієрогліфи' ],
];

/** Urdu (اردو) */
$specialPageAliases['ur'] = [
	'Hieroglyphs' => [ 'منقوشی_ابجد' ],
];

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = [
	'Hieroglyphs' => [ 'Chữ_tượng_hình' ],
];

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = [
	'Hieroglyphs' => [ '象形文字' ],
];

/** Traditional Chinese (中文（繁體）‎) */
$specialPageAliases['zh-hant'] = [
	'Hieroglyphs' => [ '象形文字' ],
];
